using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：演练记录文件
    /// </summary>
    [Description("导航属性：演练记录文件")]
    public class T_CM_DRILL_RECORD_FILE : MesEntityBase
    {
        /// <summary>
        /// 应急演练记录编号
        /// </summary>
        [Description("应急演练记录编号")]
        [DataFieldForeignKey("Nav_Record", "Nav_FilesRecord")]
        public Guid RECORD_ID { get; set; }
        
        /// <summary>
        /// 导航属性：应急演练记录
        /// </summary>
        [Description("导航属性：应急演练记录")]
        public virtual T_CM_DRILL_RECORD Nav_Record { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
